# studio::LayerTreeStore Class Reference

`#include <layertreestore.h>`

List of all members.

## Public Member Functions

| LayerTreeStore (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_)
| ~LayerTreeStore ()
etl::loose_handle < synfigapp::CanvasInterface > | canvas_interface ()
etl::loose_handle< const synfigapp::CanvasInterface > | canvas_interface () const
etl::loose_handle < synfigapp::CanvasInterface > | get_canvas_interface () const
bool | find_canvas_row (synfig::Canvas::Handle canvas, Gtk::TreeModel::Children::iterator &iter)
bool | find_layer_row (const synfig::Layer::Handle &handle, Gtk::TreeModel::Children::iterator &iter)
bool | find_prev_layer_row (const synfig::Layer::Handle &handle, Gtk::TreeModel::Children::iterator &iter)
void | queue_rebuild ()
void | rebuild ()
void | refresh ()
void | refresh_row (Gtk::TreeModel::Row &row)
void | set_row_layer (Gtk::TreeRow &row, synfig::Layer::Handle &handle)

## Static Public Member Functions

static int | z_sorter (const Gtk::TreeModel::iterator &rhs, const Gtk::TreeModel::iterator &lhs)
static int | index_sorter (const Gtk::TreeModel::iterator &rhs, const Gtk::TreeModel::iterator &lhs)
static bool | search_func (const Glib::RefPtr< TreeModel > &, int, const Glib::ustring &, const TreeModel::iterator &)
static Glib::RefPtr < LayerTreeStore > | create (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_)

## Public Attributes

const Model | model
| TreeModel for the layers.

## Classes

class | Model

## Constructor & Destructor Documentation

LayerTreeStore::LayerTreeStore | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) |

References canvas_interface(), index_sorter(), and refresh().

Referenced by create().

LayerTreeStore::~LayerTreeStore | ( |  | ) |

## Member Function Documentation

etl::loose_handle<synfigapp::CanvasInterface> studio::LayerTreeStore::canvas_interface | ( |  | ) | `[inline]`

Referenced by find_canvas_row(), find_layer_row(), find_prev_layer_row(), LayerTreeStore(), and rebuild().

etl::loose_handle<const synfigapp::CanvasInterface> studio::LayerTreeStore::canvas_interface | ( |  | ) | const`[inline]`

etl::loose_handle<synfigapp::CanvasInterface> studio::LayerTreeStore::get_canvas_interface | ( |  | ) | const`[inline]`

bool LayerTreeStore::find_canvas_row | ( | synfig::Canvas::Handle | canvas,
|  | Gtk::TreeModel::Children::iterator & | iter |
| ) |  |  |

References canvas_interface().

bool LayerTreeStore::find_layer_row | ( | const synfig::Layer::Handle & | handle,
|  | Gtk::TreeModel::Children::iterator & | iter |
| ) |  |  |

References canvas_interface().

bool LayerTreeStore::find_prev_layer_row | ( | const synfig::Layer::Handle & | handle,
|  | Gtk::TreeModel::Children::iterator & | iter |
| ) |  |  |

References canvas_interface().

void LayerTreeStore::queue_rebuild | ( |  | ) |

References rebuild().

void LayerTreeStore::rebuild | ( |  | ) |

References canvas_interface().

Referenced by queue_rebuild().

void LayerTreeStore::refresh | ( |  | ) |

References refresh_row().

Referenced by LayerTreeStore().

void LayerTreeStore::refresh_row | ( | Gtk::TreeModel::Row & | row | ) |

References studio::LayerTreeStore::Model::layer, model, and studio::LayerTreeStore::Model::z_depth.

Referenced by refresh().

void LayerTreeStore::set_row_layer | ( | Gtk::TreeRow & | row,
|  | synfig::Layer::Handle & | handle |
| ) |  |  |

References studio::LayerTreeStore::Model::contained_canvas, studio::LayerTreeStore::Model::layer, and model.

int LayerTreeStore::z_sorter | ( | const Gtk::TreeModel::iterator & | rhs,
|  | const Gtk::TreeModel::iterator & | lhs |
| ) |  |  | `[static]`

References model, and studio::LayerTreeStore::Model::z_depth.

Referenced by studio::LayerTree::set_model().

int LayerTreeStore::index_sorter | ( | const Gtk::TreeModel::iterator & | rhs,
|  | const Gtk::TreeModel::iterator & | lhs |
| ) |  |  | `[static]`

References studio::LayerTreeStore::Model::index, and model.

Referenced by LayerTreeStore().

bool LayerTreeStore::search_func | ( | const Glib::RefPtr< TreeModel > & | ,
|  | int | ,
|  | const Glib::ustring & | x,
|  | const TreeModel::iterator & | iter |
| ) |  |  | `[static]`

References studio::LayerTreeStore::Model::label, and model.

Glib::RefPtr< LayerTreeStore > LayerTreeStore::create | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) | `[static]`

References LayerTreeStore().

## Member Data Documentation

const Model studio::LayerTreeStore::model

TreeModel for the layers.

Referenced by index_sorter(), refresh_row(), search_func(), set_row_layer(), and z_sorter().

The documentation for this class was generated from the following files:

- layertreestore.h
- layertreestore.cpp